save_sample(3)

NAME
save_sample - Writes a sample into a file. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

int save_sample(const char *filename, SAMPLE *spl);

DESCRIPTION
Writes a sample into a file. The output format is determined from the filename extension. At present Allegro does not natively support the writing of any sample formats, so you must register a custom saver routine with register_sample_file_type(). Example:
   if (save_sample("sound.wav", sample) != 0)
      abort_on_error("Couldn't save sample!");

RETURN VALUE
Returns zero on success, non-zero otherwise.

SEE ALSO
load_sample(3), register_sample_file_type(3)